# $Revision: 1.45.2.1 $, $Date: 2006/11/24 15:05:26 $
%define		mod_name	fastcgi
%define 	apxs		/usr/sbin/apxs
Summary:	Support for the FastCGI protocol for apache webserver
Summary(pl):	Obsuga protokou FastCGI dla serwera apache
Summary(ru):	FastCGI -    CGI
Summary(uk):	FastCGI - ¦  Ӧ CGI
Name:		apache-mod_%{mod_name}
# NOTE: remember about apache1-mod_fastcgi.spec when messing here
Version:	2.4.2
Release:	9
License:	distributable
Group:		Networking/Daemons
Source0:	http://www.FastCGI.com/dist/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	e994414304b535cb99e10b7d1cad1d1e
Patch0:		%{name}-apr1.patch
Patch1:		%{name}-allow-uid-gid.patch
Patch2:		%{name}-socketdir.patch
Patch3:		%{name}-apache22.patch
Patch4:		%{name}-segv-onload.patch
Source1:	%{name}.conf
URL:		http://www.FastCGI.com/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.2
BuildRequires:	libtool
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define		_socketdir	/var/run/httpd/fastcgi

%description
This 3rd party module provides support for the FastCGI protocol.
FastCGI is a language independent, scalable, open extension to CGI
that provides high performance and persistence without the limitations
of server specific APIs.

%description -l pl
To jest modu apache dodajcy obsug protokou FastCGI. FastCGI jest
niezalenym od jzyka, skalowalnym, otwartym rozszerzeniem CGI dajcym
du wydajno bez ograniczania API specyficznego dla serwera.

%description -l ru
FastCGI -  CGI,    
 Internet-  
    web- API.

 API web-    CGI.

%description -l uk
FastCGI -  CGI,   צ 
Φ Internet-  ȦԦ 
Ʀ   web- API.

˦ API web-Ҧ ڦ Ӧ  CGI.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} -f Makefile.AP2 \
	top_dir=%{_pkglibdir} \
	INCLUDES="-I%(%{apxs} -q INCLUDEDIR)" \
	EXTRA_CFLAGS='-DAPACHE22'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf,%{_socketdir}/dynamic}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc docs/LICENSE.TERMS CHANGES docs/*.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%dir %attr(770,root,http) %{_socketdir}
%dir %attr(770,root,http) %{_socketdir}/dynamic

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_fastcgi.spec,v $
Revision 1.45.2.1  2006/11/24 15:05:26  arekm
- rel 9; segv bugfix from debian

Revision 1.45  2005/12/27 05:58:02  aredridel
- added apache 2.2 API change patch so authenticators work
- rel 8, STBR

Revision 1.44  2005/12/26 19:37:01  glen
- unified

Revision 1.43  2005/12/21 15:21:45  glen
- fixed socket dir; rel 7

Revision 1.42  2005/06/26 15:41:55  glen
- set socket dir to /var/run/apache as webserver has no permissions to logdir
- rel 6
- STBR

Revision 1.41  2004/10/29 09:01:59  paladine
- "HTTP" unification

Revision 1.40  2004/10/10 12:05:10  havner
- rel up for rebuild with new apache/apr

Revision 1.39  2004/10/06 17:44:01  arekm
- patches reorder

Revision 1.38  2004/10/06 16:42:01  arekm
- apr1 patch

Revision 1.37  2004/09/26 15:42:16  ankry
- fix broken %post, rel. 4

Revision 1.36  2004/09/25 09:17:11  radek
- cosmetics

Revision 1.35  2004/09/25 09:09:25  radek
- release 3: finished unifications, dropped apache1 bcond (->apache1-*.spec)

Revision 1.34  2004/09/19 15:48:34  radek
- unified (not everything, waiting for server-side cp)

Revision 1.33  2004/03/07 23:47:50  arekm
- rel 2

Revision 1.32  2004/03/07 21:41:19  arekm
- work with uid/gid only, too (so entries in passwd/group no longer needed)

Revision 1.31  2004/03/07 17:13:57  arekm
- apache 1.3 support

Revision 1.30  2004/03/07 09:33:55  arekm
- updated to 2.4.2

Revision 1.29  2003/12/22 23:36:42  aredridel
- updated for apache 2.0

Revision 1.28  2003/08/06 16:11:29  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.27  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.26  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/05/11 00:13:03  qboosh
- updated to 2.4.0

Revision 1.23  2002/12/12 01:33:18  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.22  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.21  2002/06/18 08:20:22  kloczek
- release 1: use new %doc.

Revision 1.20  2002/04/25 15:45:51  arturs
- fixed a small typo

Revision 1.19  2002/04/25 14:54:51  areq
- 2.2.12, STBR -> test

Revision 1.18  2002/04/12 14:32:10  qboosh
- removed /home/httpd/manual/mod dir (it belongs to apache); release 6

Revision 1.17  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/17 21:06:35  ankry
- release 5

Revision 1.15  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.14  2002/02/17 04:59:36  kloczek
- release 4.

Revision 1.13  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.12  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/02 12:07:03  kloczek
- release 3.

Revision 1.10  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.9  2001/09/11 12:31:21  qboosh
- pl translations

Revision 1.8  2001/08/22 17:24:00  filon
- removed stripping executables, it's done by rpm automation

Revision 1.7  2001/04/16 20:20:19  baggins
- release 2
- put documentation in proper place

Revision 1.6  2001/01/03 16:25:28  kloczek
- do not strip binaries (this perporms rpm in %install_post script),
- few other cosmetics.

Revision 1.5  2001/01/02 23:32:22  marcus
- new version 2.2.10
- release 1

Revision 1.4  2000/09/21 20:31:19  kloczek
- cosmetics only.

Revision 1.3  2000/09/21 19:35:17  baggins
- typo

Revision 1.2  2000/09/21 19:32:17  baggins
- release 2
- added post(un) scripts
- fixed SuExec path

Revision 1.1  2000/09/21 19:25:10  baggins
- initial revision
- adapterized

* Fri May 19 2000 Tomasz Ostrowski <tometzky@students.mimuw.edu.pl>
- Written from scratch
